FormAuthModule (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.security.jaspi.modules

## Class FormAuthModule

- java.lang.Object
- - org.eclipse.jetty.security.jaspi.modules.BaseAuthModule
  - - org.eclipse.jetty.security.jaspi.modules.FormAuthModule

- All Implemented Interfaces:
    javax.security.auth.message.config.ServerAuthContext, javax.security.auth.message.module.ServerAuthModule, javax.security.auth.message.ServerAuth

  Deprecated.
  use *ServerAuthentication

      public class FormAuthModule
      extends BaseAuthModule

  Version:
    $Rev: 4792 $ $Date: 2009-03-18 22:55:52 +0100 (Wed, 18 Mar 2009) $

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `__J_AUTHENTICATED` Deprecated.
    `static String` | `__J_PASSWORD` Deprecated.
    `static String` | `__J_SECURITY_CHECK` Deprecated.
    `static String` | `__J_URI` Deprecated.
    `static String` | `__J_USERNAME` Deprecated.
    `static String` | `ERROR_PAGE_KEY` Deprecated.
    `static String` | `LOGIN_PAGE_KEY` Deprecated.
    `static String` | `SSO_SOURCE_KEY` Deprecated.

    - ### Fields inherited from class org.eclipse.jetty.security.jaspi.modules.BaseAuthModule

      `callbackHandler, LOGIN_SERVICE_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FormAuthModule()` Deprecated.
    `FormAuthModule(CallbackHandler callbackHandler, CrossContextPsuedoSession<UserInfo> ssoSource, String loginPage, String errorPage)` Deprecated.
    `FormAuthModule(CallbackHandler callbackHandler, String loginPage, String errorPage)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initialize(javax.security.auth.message.MessagePolicy requestPolicy, javax.security.auth.message.MessagePolicy responsePolicy, CallbackHandler handler, Map options)` Deprecated.
    `boolean` | `isJSecurityCheck(String uri)` Deprecated.
    `boolean` | `isLoginOrErrorPage(String pathInContext)` Deprecated.
    `javax.security.auth.message.AuthStatus` | `validateRequest(javax.security.auth.message.MessageInfo messageInfo, Subject clientSubject, Subject serviceSubject)` Deprecated.

    - ### Methods inherited from class org.eclipse.jetty.security.jaspi.modules.BaseAuthModule

      `cleanSubject, getSupportedMessageTypes, isMandatory, login, login, secureResponse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __J_URI

          public static final String __J_URI

      Deprecated.
      See Also:
        Constant Field Values

    - #### __J_AUTHENTICATED

          public static final String __J_AUTHENTICATED

      Deprecated.
      See Also:
        Constant Field Values

    - #### __J_SECURITY_CHECK

          public static final String __J_SECURITY_CHECK

      Deprecated.
      See Also:
        Constant Field Values

    - #### __J_USERNAME

          public static final String __J_USERNAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### __J_PASSWORD

          public static final String __J_PASSWORD

      Deprecated.
      See Also:
        Constant Field Values

    - #### LOGIN_PAGE_KEY

          public static final String LOGIN_PAGE_KEY

      Deprecated.
      See Also:
        Constant Field Values

    - #### ERROR_PAGE_KEY

          public static final String ERROR_PAGE_KEY

      Deprecated.
      See Also:
        Constant Field Values

    - #### SSO_SOURCE_KEY

          public static final String SSO_SOURCE_KEY

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FormAuthModule

          public FormAuthModule()

      Deprecated.

    - #### FormAuthModule

          public FormAuthModule(CallbackHandler callbackHandler,
                        String loginPage,
                        String errorPage)

      Deprecated.

    - #### FormAuthModule

          public FormAuthModule(CallbackHandler callbackHandler,
                        CrossContextPsuedoSession<UserInfo> ssoSource,
                        String loginPage,
                        String errorPage)

      Deprecated.

  - ### Method Detail

    - #### initialize

          public void initialize(javax.security.auth.message.MessagePolicy requestPolicy,
                        javax.security.auth.message.MessagePolicy responsePolicy,
                        CallbackHandler handler,
                        Map options)
                          throws javax.security.auth.message.AuthException

      Deprecated.
      Specified by:
        `initialize` in interface `javax.security.auth.message.module.ServerAuthModule`
      Overrides:
        `initialize` in class `BaseAuthModule`
      Throws:
        `javax.security.auth.message.AuthException`

    - #### validateRequest

          public javax.security.auth.message.AuthStatus validateRequest(javax.security.auth.message.MessageInfo messageInfo,
                                                               Subject clientSubject,
                                                               Subject serviceSubject)
                                                                 throws javax.security.auth.message.AuthException

      Deprecated.
      Specified by:
        `validateRequest` in interface `javax.security.auth.message.ServerAuth`
      Overrides:
        `validateRequest` in class `BaseAuthModule`
      Throws:
        `javax.security.auth.message.AuthException`

    - #### isJSecurityCheck

          public boolean isJSecurityCheck(String uri)

      Deprecated.

    - #### isLoginOrErrorPage

          public boolean isLoginOrErrorPage(String pathInContext)

      Deprecated.

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.